PrincipalMoments Пример

Sub Example_PrincipalMoments()
    'Этот пример создает поле в пространстве модели.
    'Затем возвращает PrincipalMoments для этого поля.
        
    Dim boxObj As Acad3DSolid
    Dim length As Double, width As Double, height As Double
    Dim center(0 To 2) As Double
    
    'Определите поле
    center(0) = 5#: center(1) = 5#: center(2) = 0
    length = 5#: width = 7: height = 10#
    
    'Создайте объект поля (3DSolid) в пространстве модели
    Set boxObj = ThisDrawing.ModelSpace.AddBox(center, length, width, height)
    
    'Измените направление рассмотрения области просмотра, чтобы лучше видеть поле
    Dim NewDirection(0 To 2) As Double
    NewDirection(0) = -1: NewDirection(1) = -1: NewDirection(2) = 1
    ThisDrawing.ActiveViewport.direction = NewDirection
    ThisDrawing.ActiveViewport = ThisDrawing.ActiveViewport
    ZoomAll
    
    'Возвратите PrincipalMoments для поля
    Dim PrincipalMoments As Variant
    PrincipalMoments = boxObj.PrincipalMoments
    MsgBox "PrincipalMoments для поля " & PrincipalMoments(0) & ", " & PrincipalMoments(1) & ", " & PrincipalMoments(2), , "PrincipalMoments Пример"
        
End Sub
Сайт управляется системой uCoz